var dict = '';

function setLanguage() {
	var lang = getCookieVal("lang");
	if (lang == null || lang == "")
		lang = "en";
	else
	if (lang == "zh")
		lang = "en";
	else
		lang = "zh";
	setCookie("lang=" + lang + "; path=/;");
	translate();

	window.parent.frames["topframe"].translate();
	window.parent.frames["menu"].translate();
}

function getCookieVal(name) {
	var items = document.cookie.split(";");
	for(var i in items) {
		var cookie = $.trim(items[i]);
		var eqIdx = cookie.indexOf("=");
		var key = cookie.substring(0, eqIdx);
		if(name == $.trim(key)) {
			return $.trim(cookie.substring(eqIdx + 1));
		}
	}
	return null;
}

function setCookie(cookie) {
	document.cookie = cookie;
}

function translate() {
	var lang = getCookieVal("lang");
	if (lang == null) {
		lang = "zh";
		setCookie("lang=" + lang + "; path=/;");
	}
	loadDict();

	$("[lang]").each(function() {
		switch(this.tagName.toLowerCase()) {
			case "input":
				$(this).val(__tr($(this).attr("lang")));
				break;
			case "li":
			case "span":
			case "b":
			case "a":
				$(this).text(__tr($(this).attr("lang")));
				break;
			case "img":
				$(this).attr("title", __tr($(this).attr("lang")));
				break;
			default:
				$(this).text(__tr($(this).attr("lang")));
		}
	});
}

function __tr(src) {
	return(dict[src] || src);
}

function loadDict() {
	var lang = (getCookieVal("lang") || "zh");
	$.ajax({
		type: "get",
		url: "/new_img/"+lang + ".json",
		dataType:'json',
		async:false,
		success: function(msg) {
			dict = msg;
		}
	});
}

function registerWords() {
	var lang = (getCookieVal("lang") || "zh");

	$("[lang]").each(function() {
		switch(this.tagName.toLowerCase()) {
			case "input":
				$(this).attr("lang", $(this).val());
				break;
			case "li":
			case "p":
			case "label":
			case "option":
			case "button":
			case "td":
			case "a":
			case "span":
			case "b":
				$(this).attr("lang", $(this).text());
				break;
			case "img":
				$(this).attr("lang", $(this).attr("title"));
				break;
			default:
				$(this).attr("lang", $(this).text());
		}
	});
}
